perl-5.32.0 - Failed test ''S' is set in PERL_UNICODE, or in -C, honor it, utf8 should be on'

--qp2vC54R3vSfmmb6VZoVi0jDbdkHxljg5
Content-Type: multipart/mixed; boundary="hXQVqdYrb0hrPuMIKzzuGKjPVavn5XEqy";
 protected-headers="v1"
From: Robbi Nespu <robbinespu@gmail.com>
To: beginners@perl.org
Message-ID: <32731c36-7702-a8b6-6c52-9d87e858b6e1@gmail.com>
Subject: perl-5.32.0 - Failed test ''S' is set in PERL_UNICODE, or in -C,
 honor it, utf8 should be on'

--hXQVqdYrb0hrPuMIKzzuGKjPVavn5XEqy
Content-Type: multipart/mixed;
 boundary="------------ABB7C1F7924EECCEFC4E2A1A"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------ABB7C1F7924EECCEFC4E2A1A
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hello everyone, I am new with perl.

My test server are using SLES11SP4 and it already EOL.
The latest openssl I can get from official repos it too old

> $ openssl version
> OpenSSL 0.9.8j-fips 07 Jan 2009


I plan to update with newer openssl
> # cd /usr/local/src/openssl-1.1.1h
> # ./config Wl,enablenewdtags prefix=3D/usr/local/ssl openssldir=3D/usr/=
local/ssl
> Operating system: x86_64-whatever-linux2
> Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure line=
 12.
> BEGIN failed--compilation aborted at ./Configure line 12.
> Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure line=
 12.
> BEGIN failed--compilation aborted at ./Configure line 12.
> This system (linux-x86_64) is not supported. See file INSTALL for detai=
ls.


so.. seem I need to update perl (here i come)
> # cd /usr/local/src/
> # wget https://www.cpan.org/src/5.0/perl-5.32.0.tar.gz
> # tar -xvzf (/usr/local/src/.tar.gz
> # cd perl-5.32.0
> # sh Configure -de -Dusethreads
> # make
> # make test
> .
> .
> .
> cpan/Test-Simple/t/Test2/modules/Formatter/TAP .................     # =
Failed test ''S' is set in PERL_UNICODE, or in -C, honor it, utf8 should =
be on'
>     # at t/Test2/modules/Formatter/TAP.t line 65.
> # Failed test 'IO handle stuff'
> # at t/Test2/modules/Formatter/TAP.t line 93.
> FAILED at test 1
> .
> .
> Failed 1 test out of 2553, 99.96% okay.
>         ../cpan/Test-Simple/t/Test2/modules/Formatter/TAP.t
> ### Since not all tests were successful, you may want to run some of
> ### them individually and examine any diagnostic messages they produce.=

> ### See the INSTALL document's section on "make test".
> ### You have a good chance to get more information by running
> ###   ./perl harness
> ### in the 't' directory since most (>=3D80%) of the tests succeeded.
> ### You may have to set your dynamic library search path,
> ### LD_LIBRARY_PATH, to point to the build directory:
> ###   setenv LD_LIBRARY_PATH `pwd`; cd t; ./perl harness
> ###   LD_LIBRARY_PATH=3D`pwd`; export LD_LIBRARY_PATH; cd t; ./perl har=
ness
> ###   export LD_LIBRARY_PATH=3D`pwd`; cd t; ./perl harness
> ### for csh-style shells, like tcsh; or for traditional/modern
> ### Bourne-style shells, like bash, ksh, and zsh, respectively.
> Elapsed: 1567 sec
> u=3D15.41  s=3D3.92  cu=3D967.80  cs=3D74.34  scripts=3D2553  tests=3D1=
220626
> make: *** [test] Error 1

at this point I have no idea where to check and fix it. checking=20
=2E./cpan/Test-Simple/t/Test2/modules/Formatter/TAP.t  but I don't=20
understand.

Could you give me some advice?



--------------ABB7C1F7924EECCEFC4E2A1A
Content-Type: application/pgp-keys;
 name="OpenPGP_0x48B08ACA0A4346BD.asc"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="OpenPGP_0x48B08ACA0A4346BD.asc"

-----BEGIN PGP PUBLIC KEY BLOCK-----

xsDNBF9xV2YBDAC9RdSTKK2Rp/xH9HEFqQizMKk1pE73snzLoi+rGTvt7M/Ic3G7clkG1WhCY=
ukO
C1OjHk+iH6IasghcpOpW7FtOmt5Zty/N5htPAMW2B5sTvqlLPv4yQCTVFC3JuKJsuKrWEiMWo=
iLo
jL+fFlTU7+zwCfhIGxql2yZ9Wq0qpruLXmCRXqRnFS0QzE07N++/YrTxWroFW8z/ngcJ+c87y=
mlv
X6D6oG9g3mkmTJ+O0iWlJ9jZ/YLuGUB+sZeZLQtElpVSysbwZL9z2igAB8F9M7PsIQ3gmmZaS=
E/2
5Nv6wGuNORUU5RpqoGjwqShvjGAuovDn2xFPZ5bn57cPdb1DLtcGBMEHqRkESJMpZxxyoOyvg=
ctD
1o6AOSfQBCtBVlNnQm81IftjautkYLd5pda5g/0F4sH4qeCtKDgcrt7WtzO8wUrS5HG5yGZV4=
p2b
ZyKQtaFylgtxzMJdLFcWbmBQ1XU2Cqzk145W1OvY2m9fS646WMPZdW7NkrZr4+gjNQ1UNDEAE=
QEA
Ac0iUm9iYmkgTmVzcHUgPHJvYmJpbmVzcHVAZ21haWwuY29tPsLBCQQTAQgAMxYhBEK4zB0Fb=
r4C
wtM+5kiwisoKQ0a9BQJfcVdqAhsDBQsJCAcCBhUICQoLAgUWAgMBAAAKCRBIsIrKCkNGvRP7D=
ACK
qpkwkPH84c4HV8bk4DwsESOm2s/kKERGywEhR18WFKGgGD5iGP4cOD5Q0YaxUrX+C5ryXpAi7=
AEX
jICe0hGYUg1B1YhBGxpKQLCVGzRKCM3xvyhGZNvJp6ebGoavFRz0CuWGIIxQagEGEhM/M4Tap=
PE0
WT2j/k3DsHO7ahiBi4jb9DTero5HEC49bF8Ew35BX2rXh+AbZEvqO8Nrs1qRQUcyETh9B+/a2=
U5U
+rf5AiJLbkpQrb0VTuEQqhWhRENtGZt/bk01m2Ml7Ocavq8nTx1OCNHrDM88xFp1Bi9EaOSXK=
+FQ
Hx0i4irmgsjKywTjhv4VDsczFpJBsvnAmJOI91XQbxIDRLOQE+WROau1DVHps1BxCX5TwDmzc=
szx
PP4fgsYAnPNmSrKxwSnz65ZTkFGHJmFeKxSfD+zDtVuSMK8+34JKD5h7hLybhc+f5trdrKFgw=
kCf
0yVXImrqQTeCQz1kvQdi7IlNlS9gjlo9dzMruIhMWXQttI5HtKou3BzOwM0EX3FXagEMAOXbS=
3RA
lkSu7VnEwxpYYWZ2E4SIqV6hmjTA2cYnoLNMXbRI+AjmopKm5aU036A6VhKCzuL4lOlRMbJWK=
tE8
H/OeGUxrSniYyrwXTeuWtyqQlGccD77ls56vbVl0pze/JKfFgzSw1sVLfy4I80ig6MIU9X5WB=
6YT
nruhDNvc8n6ESKlwCEPWnfxTnQLEDzC1CQiN+ZF6jhzPLKWEvWO9U0sIBAGFRFqdcfUVi1Kc8=
i4P
GAHK9NuCYt6Njorl9K6SFzXAaogf+9ap1/1gkl4s+5k5Vzs71G+tSKxXph+1wFUYtMyjxpcIA=
L/j
/6O7cRTZGTpCZgGN0kHof9VpbyVgYEStS0I8AuB6KGa2MlCRRm1ggSQlQ4Q/mfNev9XExnZOx=
5Wq
EiQCOZg25YWAsOD5kaMG9o0pE6gnfUl5dpFYvSdJhgUvyB08cT+mlndKn/hZh6P43FU0vsX/A=
gcr
oq9SfjD7as4xm/iZ3shB6rRFJiMOKlDZbT4gCbFeKF/AKJhVPQARAQABwsD2BBgBCAAgFiEEQ=
rjM
HQVuvgLC0z7mSLCKygpDRr0FAl9xV24CGwwACgkQSLCKygpDRr2Fhgv/WT307c2N9GQ4ZLD89=
UVU
vb6eFTb+q6bZOC8TkueCjVzYXy5VYUO0Y4hZx0jjxSUShQE1zdqS6BO/+DkTQ2/h2mwStCfnW=
2zM
w3Nv5np3rKbHovtMTZpu1tggxgRh3QeoTPDmHzBtHHGMCO1RbtSji3pOkxZRyzpOH2/EaKznq=
8sz
exaNjdpwA8AxMj0kbwEM+MPZNMnNbUmyEijnJPQwJu4Y4KuzbIeqylLZu5yZR/p8Uhx8Ru1ot=
RwC
xqil7USDccKo4V3QECSS3fF8qo4XuWyfrfZCYv9fxMOItFseKj153TWcYxQD5tbQXR/DmVyX7=
N0X
lA6lBD7K3NENq9cYQZoxweTszPrqlHUr77TOJ1e9MrmHDJ+jn01HmGJalc0nE1wOPn+w6tCAr=
3d4
mANKSRv5ct6KxS8yxxzBpDcodvMVBLsa6Law06qF1UMTX8GKNJ+n6lgJHl+LOHvIRBmz71dpd=
o4J
DZg5uBd1U+zYf5OOrndGoPs1IkfW81G0WkG6
=3DCY8K
-----END PGP PUBLIC KEY BLOCK-----

--------------ABB7C1F7924EECCEFC4E2A1A--

--hXQVqdYrb0hrPuMIKzzuGKjPVavn5XEqy--

--qp2vC54R3vSfmmb6VZoVi0jDbdkHxljg5
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wsD5BAABCAAjFiEEQrjMHQVuvgLC0z7mSLCKygpDRr0FAl9xZaQFAwAAAAAACgkQSLCKygpDRr2H
swv+MpTPgsTtCRqd57Zjqo/1GOcQZCdnkEqzqC5osu/8a/ze0GyttQW/C9ITTB/DGyLiK9Q4+/4O
5s2hIvAWxrgIrbSUbplJDJMqx3Lgh7HLIv8vKcF0jk7M3bZjQ15rz0aJ28gkE3JrVMuKFW+iR3u7
iUEAG6d0YD7pmA1bCQ6Dp661bmZsCxh0FftyJYluY2pa/ri0IWcPWIFv9xrPNidLDjSi9r3qGFS9
NsbT2Us7gw5gPxFdwz7jTmxwJBu94uYIP1RZPE61H1EFH50nmYM8OPpuMVsiXwF7+UDw+BvkST2y
DIuSa3+aRkrQ9EFFSN2QTQbiNUFdwj813Z3KmKirrxwp+M1X4HhK3DebHkx5U76xts5D/3Amubp0
TwK/HGBq3lUPiG8suNA2xgaZhs68MkHwmUi7dxefrI05qkwTWVutuW9EGVRD6Z7fGmLH69lo8sk/
WBGWRF6kyFtqJ27VvgBAZx8nT08dixwuPO07DqWROeX+tK5l4tQ8pgoc7ohc
=h7q9
-----END PGP SIGNATURE-----

--qp2vC54R3vSfmmb6VZoVi0jDbdkHxljg5--
0
robbinespu
9/28/2020 4:25:08 AM
perl.beginners 29388 articles. 4 followers. Follow

2 Replies
76 Views

Similar Articles

[PageSpeed] 13

You might be new at Perl, but obviously not
at advance computer topics.=C2=A0 This must be a
hard question, because nobody is stepping
forward with answers.

I'm pretty sure this is a bad idea:
https://www.thegeekstuff.com/2013/06/cpan-force-install-perl-module/
but I wanted to present it as a bad option.

So we are saying that Perl v5.32.0 would not
install on your machine.=C2=A0 Maybe I should stick
with my Perl v5.30.0


Mike


On 9/27/20 11:25 PM, Robbi Nespu wrote:
> Hello everyone, I am new with perl.
>
> My test server are using SLES11SP4 and it already EOL.
> The latest openssl I can get from official repos it too old
>
>> $ openssl version
>> OpenSSL 0.9.8j-fips 07 Jan 2009
>
>
> I plan to update with newer openssl
>> # cd /usr/local/src/openssl-1.1.1h
>> # ./config Wl,enablenewdtags prefix=3D/usr/local/ssl=20
>> openssldir=3D/usr/local/ssl
>> Operating system: x86_64-whatever-linux2
>> Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure=20
>> line 12.
>> BEGIN failed--compilation aborted at ./Configure line 12.
>> Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure=20
>> line 12.
>> BEGIN failed--compilation aborted at ./Configure line 12.
>> This system (linux-x86_64) is not supported. See file INSTALL for=20
>> details.
>
>
> so.. seem I need to update perl (here i come)
>> # cd /usr/local/src/
>> # wget https://www.cpan.org/src/5.0/perl-5.32.0.tar.gz
>> # tar -xvzf (/usr/local/src/.tar.gz
>> # cd perl-5.32.0
>> # sh Configure -de -Dusethreads
>> # make
>> # make test
>> .
>> .
>> .
>> cpan/Test-Simple/t/Test2/modules/Formatter/TAP .................=C2=A0=
=C2=A0=C2=A0=C2=A0=20
>> # Failed test ''S' is set in PERL_UNICODE, or in -C, honor it, utf8=20
>> should be on'
>> =C2=A0=C2=A0=C2=A0 # at t/Test2/modules/Formatter/TAP.t line 65.
>> # Failed test 'IO handle stuff'
>> # at t/Test2/modules/Formatter/TAP.t line 93.
>> FAILED at test 1
>> .
>> .
>> Failed 1 test out of 2553, 99.96% okay.
>> =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ../cpan/Test-Simple/t/Test2=
/modules/Formatter/TAP.t
>> ### Since not all tests were successful, you may want to run some of
>> ### them individually and examine any diagnostic messages they produce=
=2E
>> ### See the INSTALL document's section on "make test".
>> ### You have a good chance to get more information by running
>> ###=C2=A0=C2=A0 ./perl harness
>> ### in the 't' directory since most (>=3D80%) of the tests succeeded.
>> ### You may have to set your dynamic library search path,
>> ### LD_LIBRARY_PATH, to point to the build directory:
>> ###=C2=A0=C2=A0 setenv LD_LIBRARY_PATH `pwd`; cd t; ./perl harness
>> ###=C2=A0=C2=A0 LD_LIBRARY_PATH=3D`pwd`; export LD_LIBRARY_PATH; cd t;=
 ./perl=20
>> harness
>> ###=C2=A0=C2=A0 export LD_LIBRARY_PATH=3D`pwd`; cd t; ./perl harness
>> ### for csh-style shells, like tcsh; or for traditional/modern
>> ### Bourne-style shells, like bash, ksh, and zsh, respectively.
>> Elapsed: 1567 sec
>> u=3D15.41=C2=A0 s=3D3.92=C2=A0 cu=3D967.80=C2=A0 cs=3D74.34=C2=A0 scri=
pts=3D2553 tests=3D1220626
>> make: *** [test] Error 1
>
> at this point I have no idea where to check and fix it. checking=20
> ../cpan/Test-Simple/t/Test2/modules/Formatter/TAP.t=C2=A0 but I don't=20
> understand.
>
> Could you give me some advice?
>
>
0
temp4
9/29/2020 1:26:56 PM
--000000000000422da605b077f1ee
Content-Type: text/plain; charset="UTF-8"

The correct answer (as I am sure you know) is not to be using EOL
software.  That said you may be jumping too far forward with your Perl
release.  It looks like OpenSSL only requires 5.10 (from 2007) and you are
trying to install 5.32 (from June).  Your current system is only running
5.8.8 (which wasn't even the last of the 5.8 line, 5.8.9 came out in
2008).  I think your best bet (assuming you can't just upgrade to a
non-EOLed version of the OS) is to only upgrade to the last version of 5.10
(https://cpan.metacpan.org/authors/id/D/DA/DAPM/perl-5.10.1.tar.bz2). That
will likely have the least amount of breakage on your system.

On Mon, Sep 28, 2020 at 12:25 AM Robbi Nespu <robbinespu@gmail.com> wrote:

> Hello everyone, I am new with perl.
>
> My test server are using SLES11SP4 and it already EOL.
> The latest openssl I can get from official repos it too old
>
> > $ openssl version
> > OpenSSL 0.9.8j-fips 07 Jan 2009
>
>
> I plan to update with newer openssl
> > # cd /usr/local/src/openssl-1.1.1h
> > # ./config Wl,enablenewdtags prefix=/usr/local/ssl
> openssldir=/usr/local/ssl
> > Operating system: x86_64-whatever-linux2
> > Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure line
> 12.
> > BEGIN failed--compilation aborted at ./Configure line 12.
> > Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure line
> 12.
> > BEGIN failed--compilation aborted at ./Configure line 12.
> > This system (linux-x86_64) is not supported. See file INSTALL for
> details.
>
>
> so.. seem I need to update perl (here i come)
> > # cd /usr/local/src/
> > # wget https://www.cpan.org/src/5.0/perl-5.32.0.tar.gz
> > # tar -xvzf (/usr/local/src/.tar.gz
> > # cd perl-5.32.0
> > # sh Configure -de -Dusethreads
> > # make
> > # make test
> > .
> > .
> > .
> > cpan/Test-Simple/t/Test2/modules/Formatter/TAP .................     #
> Failed test ''S' is set in PERL_UNICODE, or in -C, honor it, utf8 should be
> on'
> >     # at t/Test2/modules/Formatter/TAP.t line 65.
> > # Failed test 'IO handle stuff'
> > # at t/Test2/modules/Formatter/TAP.t line 93.
> > FAILED at test 1
> > .
> > .
> > Failed 1 test out of 2553, 99.96% okay.
> >         ../cpan/Test-Simple/t/Test2/modules/Formatter/TAP.t
> > ### Since not all tests were successful, you may want to run some of
> > ### them individually and examine any diagnostic messages they produce.
> > ### See the INSTALL document's section on "make test".
> > ### You have a good chance to get more information by running
> > ###   ./perl harness
> > ### in the 't' directory since most (>=80%) of the tests succeeded.
> > ### You may have to set your dynamic library search path,
> > ### LD_LIBRARY_PATH, to point to the build directory:
> > ###   setenv LD_LIBRARY_PATH `pwd`; cd t; ./perl harness
> > ###   LD_LIBRARY_PATH=`pwd`; export LD_LIBRARY_PATH; cd t; ./perl harness
> > ###   export LD_LIBRARY_PATH=`pwd`; cd t; ./perl harness
> > ### for csh-style shells, like tcsh; or for traditional/modern
> > ### Bourne-style shells, like bash, ksh, and zsh, respectively.
> > Elapsed: 1567 sec
> > u=15.41  s=3.92  cu=967.80  cs=74.34  scripts=2553  tests=1220626
> > make: *** [test] Error 1
>
> at this point I have no idea where to check and fix it. checking
> ../cpan/Test-Simple/t/Test2/modules/Formatter/TAP.t  but I don't
> understand.
>
> Could you give me some advice?
>
>
>

--000000000000422da605b077f1ee
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">The correct answer (as I am sure you know) is not to be us=
ing EOL software.=C2=A0 That said you may be jumping too far forward with y=
our Perl release.=C2=A0 It looks like OpenSSL only requires 5.10 (from 2007=
) and you are trying to install 5.32 (from June).=C2=A0 Your current system=
 is only running 5.8.8 (which wasn&#39;t even the last of the 5.8 line, 5.8=
..9 came out in 2008).=C2=A0 I think your best bet (assuming you can&#39;t j=
ust upgrade to a non-EOLed version of the OS) is to only upgrade to the las=
t version of 5.10 (<a href=3D"https://cpan.metacpan.org/authors/id/D/DA/DAP=
M/perl-5.10.1.tar.bz2">https://cpan.metacpan.org/authors/id/D/DA/DAPM/perl-=
5.10.1.tar.bz2</a>). That will likely have the least amount of breakage on =
your system.</div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"=
gmail_attr">On Mon, Sep 28, 2020 at 12:25 AM Robbi Nespu &lt;<a href=3D"mai=
lto:robbinespu@gmail.com">robbinespu@gmail.com</a>&gt; wrote:<br></div><blo=
ckquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left=
:1px solid rgb(204,204,204);padding-left:1ex">Hello everyone, I am new with=
 perl.<br>
<br>
My test server are using SLES11SP4 and it already EOL.<br>
The latest openssl I can get from official repos it too old<br>
<br>
&gt; $ openssl version<br>
&gt; OpenSSL 0.9.8j-fips 07 Jan 2009<br>
<br>
<br>
I plan to update with newer openssl<br>
&gt; # cd /usr/local/src/openssl-1.1.1h<br>
&gt; # ./config Wl,enablenewdtags prefix=3D/usr/local/ssl openssldir=3D/usr=
/local/ssl<br>
&gt; Operating system: x86_64-whatever-linux2<br>
&gt; Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure lin=
e 12.<br>
&gt; BEGIN failed--compilation aborted at ./Configure line 12.<br>
&gt; Perl v5.10.0 required--this is only v5.8.8, stopped at ./Configure lin=
e 12.<br>
&gt; BEGIN failed--compilation aborted at ./Configure line 12.<br>
&gt; This system (linux-x86_64) is not supported. See file INSTALL for deta=
ils.<br>
<br>
<br>
so.. seem I need to update perl (here i come)<br>
&gt; # cd /usr/local/src/<br>
&gt; # wget <a href=3D"https://www.cpan.org/src/5.0/perl-5.32.0.tar.gz" rel=
=3D"noreferrer" target=3D"_blank">https://www.cpan.org/src/5.0/perl-5.32.0.=
tar.gz</a><br>
&gt; # tar -xvzf (/usr/local/src/.tar.gz<br>
&gt; # cd perl-5.32.0<br>
&gt; # sh Configure -de -Dusethreads<br>
&gt; # make<br>
&gt; # make test<br>
&gt; .<br>
&gt; .<br>
&gt; .<br>
&gt; cpan/Test-Simple/t/Test2/modules/Formatter/TAP .................=C2=A0=
 =C2=A0 =C2=A0# Failed test &#39;&#39;S&#39; is set in PERL_UNICODE, or in =
-C, honor it, utf8 should be on&#39;<br>
&gt;=C2=A0 =C2=A0 =C2=A0# at t/Test2/modules/Formatter/TAP.t line 65.<br>
&gt; # Failed test &#39;IO handle stuff&#39;<br>
&gt; # at t/Test2/modules/Formatter/TAP.t line 93.<br>
&gt; FAILED at test 1<br>
&gt; .<br>
&gt; .<br>
&gt; Failed 1 test out of 2553, 99.96% okay.<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0../cpan/Test-Simple/t/Test2/modules/F=
ormatter/TAP.t<br>
&gt; ### Since not all tests were successful, you may want to run some of<b=
r>
&gt; ### them individually and examine any diagnostic messages they produce=
..<br>
&gt; ### See the INSTALL document&#39;s section on &quot;make test&quot;.<b=
r>
&gt; ### You have a good chance to get more information by running<br>
&gt; ###=C2=A0 =C2=A0./perl harness<br>
&gt; ### in the &#39;t&#39; directory since most (&gt;=3D80%) of the tests =
succeeded.<br>
&gt; ### You may have to set your dynamic library search path,<br>
&gt; ### LD_LIBRARY_PATH, to point to the build directory:<br>
&gt; ###=C2=A0 =C2=A0setenv LD_LIBRARY_PATH `pwd`; cd t; ./perl harness<br>
&gt; ###=C2=A0 =C2=A0LD_LIBRARY_PATH=3D`pwd`; export LD_LIBRARY_PATH; cd t;=
 ./perl harness<br>
&gt; ###=C2=A0 =C2=A0export LD_LIBRARY_PATH=3D`pwd`; cd t; ./perl harness<b=
r>
&gt; ### for csh-style shells, like tcsh; or for traditional/modern<br>
&gt; ### Bourne-style shells, like bash, ksh, and zsh, respectively.<br>
&gt; Elapsed: 1567 sec<br>
&gt; u=3D15.41=C2=A0 s=3D3.92=C2=A0 cu=3D967.80=C2=A0 cs=3D74.34=C2=A0 scri=
pts=3D2553=C2=A0 tests=3D1220626<br>
&gt; make: *** [test] Error 1<br>
<br>
at this point I have no idea where to check and fix it. checking <br>
.../cpan/Test-Simple/t/Test2/modules/Formatter/TAP.t=C2=A0 but I don&#39;t <=
br>
understand.<br>
<br>
Could you give me some advice?<br>
<br>
<br>
</blockquote></div>

--000000000000422da605b077f1ee--
0
chas
9/29/2020 6:27:32 PM
Reply: